pro read_sooncheck, tapes, cataloged, copied, infile=infile
;
;+
;   Name: read_sooncheck
;
;   Purpose: read soon tape checklist info, return some tape status info
;
;   Input Paramters:
;      NONE:
;   
;   Output Paramters:
;      tapes - tapenames in log
;      cataloged - boolean (1=cataloged, 0 = not yet or failure)
;      copied - boolean (1=copied, 0=not yet or failure)
;   
;-
; check input
if not data_chk(infile,/string) then $
   infile=concat_dir('$DIR_SITE_LOGS','soontapes.checklist')

if not file_exist(infile) then begin
   message,/info,"Cannot find file: " + infile
   return
endif

; read into 5 colum table
info=strcompress(rd_tfile(infile,nocom='-',5),/remove)	

; pick off 'tape' lines
second=strmid(info(0,*),1,1)
ss=where(second eq '9'  or second eq '0',sscnt)

tapes=reform(info(0,ss))
cataloged=(strmid(reform(info(2,ss)),0,1) eq 'x')
copied   =(strmid(reform(info(3,ss)),0,1) eq 'x')
return
end


