function soon_reform, textfile, fieldstring, chronological=chronological
;+
;   Name: soon_table
;
;   Purpose: read a soon_search output file and make a table
;
;   Calling Sequence:
;      outarr=soon_table(filename ['fieldstring'] )
;
;-
if not data_chk(fieldstring,/string) then $
   fieldstring="Tape,File#,#Images,nx/ny,FOV('),Obj,Helio,Dev(')," + $
               "First Time',Last Time"

header=str2arr(fieldstring)

retval=''
print,'SOON_REFORM - reading file:' + textfile
data=rd_tfile(textfile)
ss=where(strpos(strlowcase(strtrim(data,2)),'st') eq 0,sscnt)

if sscnt gt 0 then begin
   table=str2cols(data(ss))
   retval=table
   nt=n_elements(table(*,0))
   if nt eq 15 then begin
      table(5,*)=table(5,*) + table(6,*) 
      table(6,*)=''
      table=strarrcompress(table,/column)
   endif

   if n_elements(table(*,0)) eq 14 then begin
      table(9,*) =table(9,*) +  table(10,*)  & table(10,*)=''
      table(12,*)=table(12,*) + table(13,*)  & table(13,*)=''
      if keyword_set(chronological) then $
         table=table(*,sort(int2secarr(anytim2ints(reform(table(9,*))))))
      remove=[3]
      chk=where(strpos(table(*,0),'to') ne -1,ccnt)
      if ccnt gt 0 then remove=[remove,chk]
      table(remove,*)=''
      ctable=strarrcompress(table,/column)
      retval=[[header],[ctable]]
    endif else message,/info,"Unexpected number of columns...."
endif

return,retval
end

