pro soon_search_www, qfile=qfile, $
	gif_file=gif_file, outfil=outfil
;+
;   Name: soon_search_www
;
;   Purpose: WWW front end to soon_search (input protect and user messages)
;
;   History:
;      15-May-1996 (S.L.Freeland) [use <url_decode> to simplify cgi script]
;      11-Jun-1996 (S.L.Freeland) bail out on bad URL decode (old browsers?)
;-

break_file,qfile,log,paths,qfil,qver,qext
qfile=concat_dir(concat_dir(get_logenv('path_http'),'text_client'),qfil+qver+qext)
status=""
err=""

; decode the URL
qstr=url_decode(qfile=qfile)

pointer=$
 ['<p><a href="http://www.lmsal.com/SXT/soonsearch.html">', $
 '<img src="http://www.lmsal.com/SXT/img/soonspot_small_icon.gif">', $
 '<em>Return to SOONSPOT search</em>']

outfil=qfile + '.text'
;
; start an HTML document (output from search)
htmlfile=str_replace(outfil,'text','html')
sxt_html,htmlfile,/header

; Bailout if BAD UTL decode (write problem html)
if data_chk(qstr,/string) then begin
   file_append,htmlfile, ['<h2>SORRY - HAD A PROBLEM DECODING YOUR FORM</h2>', $
                          'Is this an old browser?',pointer,'<hr>']
   sxt_html,htmlfile,/trailer
   return				; **** EARLY EXIT ****
endif

startt=url_query2time(qstr,/start,/nodef)
stopt =url_query2time(qstr,/stop,/nodef)
reft  =([url_query2time(qstr,/ref,/nodef),''])(qstr.ref_day eq '')

helio  = qstr.helio_lat ne '' and qstr.helio_lon ne ''
sangle = qstr.ss_lat    ne '' and qstr.ss_lon ne ''
caring = qstr.carr_lat   ne '' and qstr.carr_lon ne ''

if (helio or sangle) and reft eq '' then begin
   err=[err,"Coordinates selected but no reference time supplied"]
endif

if n_elements(err) eq 1 then begin
   case 1 of 
      helio: helio=qstr.helio_ns + $
	        string(round(str2number(qstr.helio_lat)),format='(i2.2)') + $
	        qstr.helio_ew 						  + $
	        string(round(str2number(qstr.helio_lon)),format='(i2.2)') 
      caring: carrington=str2number([qstr.carr_lat,qstr.carr_lon])
      sangle: ref_loc=str2number([qstr.ss_lat, qstr.ss_lon])
      else:
   endcase
endif

arnum=qstr.ar
full_disk=qstr.image_type eq 'Full Disk'
image_list=(tag_index(qstr,'image_list') ne -1)(0)
chronological=(tag_index(qstr,'chronological') ne -1)(0)

help,chronological

gname=str_replace(qfile,'text_client','img_client') + '.gif'
help,qstr,/str
gif_file=(['',gname])( (tag_index(qstr,'plot_results')  ne -1)(0))
;gif_file=([gif_file,''])(full_disk)
; 
print,"Calling soon_search"

help,startt, stopt, helio, reft,image_list
soon_search, startt, stopt, 						$
	carrington=caring, helio=helio, ref_date=reft, 			$
	outfil=outfil, gif_file=gif_file,				$
	ar=arnum, full_disk=full_disk, image_list=image_list

print,"***************** Finished soon_search ***********************"
print,systime()

; build html document with search summary.....

print,'htmldoc: ',htmlfile
textadd=str_replace(outfil,get_logenv('path_http'),get_logenv('top_http'))
plotadd=str_replace(gif_file,get_logenv('path_http'),get_logenv('top_http'))
print,'htmldoc: ',htmlfile

file_append,htmlfile,'<h2>SOON-SPOT search results</h2>

; TEXT information (image & summary listing)
textlink=str2html(textadd,link="Summary Listing (ascii)" + $
   (['',' ,Full Image List'])(image_list) )

file_append,htmlfile,[textlink,'<p>']

soontable=soon_reform(outfil,chronological=chronological)

; GIF output (plot results)
print,'calling soon_cadence ',outfil

if gif_file(0) ne '' then img=soon_cadence(outfil)

if n_elements(soontable) eq 1 then $
      soontable="<br><b>NO Matches Found...</b>"  else  begin
   soontable=['<br><b>Summary Listing...</b>',strtab2html(soontable,/row0,padding=1,border=1,spacing=1)]

help,img
if n_elements(img) gt 1 then begin
;     make a thumbnail
      thumbadd=str_replace(plotadd,'.gif','_thumb.gif')
      thumbname=str_replace(gif_file(0),'.gif','_thumb.gif')
      thumb=mkthumb(ingif=gif_file(0),fact=.3,outfil=thumbname)
;     add the link to html
      giflink=str2html(plotadd,link='Your SOONSPOT cadence plot ' + $
     '<img src="' + thumbadd + '">')
help,giflink
      file_append, htmlfile, giflink
   endif

   file_append,htmlfile, $
     ['<hr><center><b><em>',	$
      'The following HTML is best viewed with a browser which supports V3 tables', $
     '</em></b></center>', $
      soontable]

   endelse

; "close" documents
; append hyper pointer back to SOONSPOT
file_append,htmlfile,pointer
sxt_html,htmlfile,/trailer

message,/info,"Done with soon_search"

return
end

