pro sxt_html, filename, header=header, trailer=trailer, title=title, $
   nologo=nologo, noimg=noimg, outarr=outarr, credits=credits
;+
;   Name: sxt_html
;
;   Purpose: return standard SXT header/trailer html
;
;   Input Paramters:
;      filename (optional) - appends the text to this file
;
;   Keyword Paramters:
;      header -  if set, return header html
;      trailer - if set, return trailer html
;      credits - if set, include SXT credits in trailer
;      noimg -   if set, leave off logo
;-
; set switches
trailer=keyword_set(trailer) 
if not keyword_set(title) then title="UNTITLED: Created by " + get_user() + " at " + ut_time() + " UT"
header=keyword_set(header) or keyword_set(nologo) 
credits=keyword_set(credits)
writeit=data_chk(filename,/string)

case 1 of 
   header: begin
      file='header'
   endcase
   trailer: begin
      file=(['trailer','trailer_wcredit'])(credits)
   endcase
endcase

fname=concat_dir(get_logenv('path_http'),file+'_template.html')

if not file_exist(fname) then begin
   message,/info,"Cannot find template file: " + fname
   return
endif

outarr=rd_tfile(fname)

if keyword_set(nologo) and header then begin
   logoss=where(strpos(strcompress(strupcase(outarr),/remove),'<IMG') ne -1,lcnt)
   if lcnt gt 0 then outarr=outarr(0:logoss(0)-1)
endif

if header then outarr=str_replace(outarr,'!TITLE!',title)

if writeit then file_append,filename, outarr, new=header

if trailer then begin		; force output buffer flush (!?)
   openu,lun,/get_lun,filename,/append
   flush,lun
   free_lun,lun
endif


return
end
